body {
  background: #333; }

a {
  color: #2ca4e9; }
  a:hover {
    color: #1873c8; }

.registration-dialog {
  margin-top: 2em;
  font-size: 1.1em; }
  .registration-dialog .registration-dialog .spinner {
    width: 100px; }

.help-block-small {
  display: block;
  font-size: 12px;
  margin-bottom: -5px; }

.extra-info {
  font-size: 0.9em;
  text-align: center;
  border-top: 1px solid #ccc;
  margin: 1em 2em;
  color: #aaa; }

.registration-content {
  width: 960px;
  margin: 0 auto;
  position: relative; }

#registration_header {
  background: #fff;
  height: 122px;
  padding-top: 12px; }
  #registration_header h1 {
    padding: 50px 0 0 0px; }
    #registration_header h1 a {
      display: block;
      width: 175px;
      height: 41px;
      background: transparent url(/images/registration/logo.png) 0 0 no-repeat;
      text-indent: -9999em; }
  #registration_header #registration_login {
    color: #30536e;
    position: absolute;
    right: 73px;
    top: 55px;
    padding: 0 22px 0 0;
    border: 5px solid transparent;
    font-size: 1.1em;
    background: transparent url(/images/registration/down-arrow.png) right center no-repeat; }

#registration_video {
  margin: 0; }
  #registration_video a {
    position: relative;
    z-index: 1;
    margin: 0 auto;
    display: block;
    width: 300px;
    height: 200px;
    background: transparent url(/images/registration/watch-video-ribbon.png) 0 -18px no-repeat;
    text-indent: -9999em; }

#registration_options {
  margin: 20px auto 0;
  width: 495px;
  text-align: center;
  padding-top: 200px;
  height: 90px;
  background: transparent url(/images/registration/signup_bg.png) 0 0 no-repeat;
  position: relative; }
  #registration_options h2 {
    text-indent: -9999em;
    margin: 0;
    height: 30px; }

#registration_content:before {
  display: block;
  width: 100%;
  height: 100px;
  position: absolute;
  content: " ";
  background-color: rgba(255, 255, 255, 0.625);
  background-image: -moz-linear-gradient(top, white, rgba(255, 255, 255, 0));
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(white), to(rgba(255, 255, 255, 0)));
  background-image: -webkit-linear-gradient(top, white, rgba(255, 255, 255, 0));
  background-image: -o-linear-gradient(top, white, rgba(255, 255, 255, 0));
  background-image: linear-gradient(to bottom, #ffffff, rgba(255, 255, 255, 0));
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#FFFFFFFF', endColorstr='#00FFFFFF', GradientType=0);
  background-color: transparent;
  opacity: 0.5; }

#registration_content {
  background: white url(/images/registration/page-background.png) 0 0 repeat;
  padding-bottom: 40px; }

#registration_footer {
  border-top: 1px solid rgba(0, 0, 0, 0.9);
  box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.3);
  min-height: 30px;
  padding: 10px 0 40px;
  color: #999;
  font-size: 11px; }
  #registration_footer a {
    margin-left: 5px;
    color: #999; }
    #registration_footer a:hover, #registration_footer a:active {
      color: #2ca4e9; }

.left {
  float: left; }

.right {
  float: right; }

#signup_teacher, #signup_student {
  position: absolute;
  background-image: url(/images/registration/landing_buttons.png);
  background-repeat: no-repeat;
  background-position: 5px 5px;
  position: absolute;
  top: 157px;
  width: 180px;
  height: 65px;
  text-indent: -9999em; }

#signup_teacher {
  left: 67px; }
  #signup_teacher:hover, #signup_teacher:focus {
    background-position: 5px -60px;
    outline: none; }

#signup_student {
  right: 67px;
  background-position: 5px -125px; }
  #signup_student:hover, #signup_student:focus {
    background-position: 5px -190px;
    outline: none; }

#login_form {
  position: absolute;
  right: 0;
  top: 95px;
  background: #fff;
  border: 1px solid #bbb;
  padding: 11px 11px 8px;
  z-index: 2;
  border-radius: 5px;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.2); }
  #login_form .login-input {
    width: 125px;
    position: relative;
    /* so that it's over the caret */ }
  #login_form button {
    width: 100%;
    display: block;
    line-height: 1.75em;
    font-weight: bold;
    text-align: center;
    margin-bottom: 1em;
    background-image: none;
    background-color: #06abef;
    background-image: -moz-linear-gradient(top, #0abcfe, #0090d7);
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#0abcfe), to(#0090d7));
    background-image: -webkit-linear-gradient(top, #0abcfe, #0090d7);
    background-image: -o-linear-gradient(top, #0abcfe, #0090d7);
    background-image: linear-gradient(to bottom, #0abcfe, #0090d7);
    background-repeat: repeat-x;
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#FF0ABCFE', endColorstr='#FF0090D7', GradientType=0);
    border-width: 1px;
    border-style: solid;
    border-color: #0abcfe #238fe4 #1974c9 #238fe4;
    border-radius: 3px;
    color: #fff;
    text-shadow: 0 1px 0 rgba(0, 0, 0, 0.5);
    box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.5), 0 1px 1px rgba(0, 0, 0, 0.3); }
    #login_form button:hover, #login_form button:focus {
      background-color: #059ad7;
      background-image: -moz-linear-gradient(top, #09aae5, #0080c0);
      background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#09aae5), to(#0080c0));
      background-image: -webkit-linear-gradient(top, #09aae5, #0080c0);
      background-image: -o-linear-gradient(top, #09aae5, #0080c0);
      background-image: linear-gradient(to bottom, #09aae5, #0080c0);
      background-repeat: repeat-x;
      filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#FF09AAE5', endColorstr='#FF0080C0', GradientType=0);
      outline: none; }
  #login_form:before {
    content: ' ';
    display: block;
    height: 16px;
    width: 16px;
    position: absolute;
    top: -10px;
    left: 50%;
    margin-left: -11px;
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
    border: 1px solid #bbb;
    border-right: none;
    border-bottom: none;
    background: white; }
    .ie #login_form:before {
      display: none; }
